%define name	acidrip
%define version	0.9
%define release 3mdk

Name: 	 	%{name}
Summary: 	Simple GUI for MEncoder
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://acidrip.thirtythreeandathird.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	mencoder
BuildRequires:  lsdvd
BuildRequires:  perl-GTK
BuildRequires:  perl-devel
Requires:	lsdvd mencoder perl-GTK
Provides:	perl(AcidRip::acidrip) perl(AcidRip::DVDInfo)
Provides:	perl(AcidRip::interface) perl(AcidRip::signals)
BuildArch:	noarch

%description
AcidRip is a Gtk::Perl application for ripping and encoding DVD's. It neatly
wraps MPlayer and MEncoder, which I think is pretty handy, seeing as MPlayer
is by far the best bit of video playing kit around for Linux. As well as
creating a simple Graphical Interface for those scared of getting down and
dirty with MEncoders command line interface, It also automates the process in
a number of ways:
    * Parses DVD into contents tree
    * Finds longest title
    * Calculate video bitrate for given filesize
    * Finds black bands and crops them
    * Gives suggestions for improved performance
    * Other stuff!

%prep
%setup -q
perl -p -i -e 's/mp3lame/copy/g' Makefile.PL

%build
perl Makefile.PL
%make
										
%install
rm -rf $RPM_BUILD_ROOT
make install_vendor PREFIX=$RPM_BUILD_ROOT/usr

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="video_section.png" needs="x11" title="AcidRip" longtitle="Video ripping and conversion" section="Multimedia/Video"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING TODO
%{_bindir}/%name
%{perl_vendorlib}/AcidRip
%{_mandir}/man1/*
%{_menudir}/%name

%changelog
* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix buildrequires again

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix buildrequires

* Mon Jun 2 2003 Austin Acton <aacton@yorku.ca> 0.9-1mdk
- 0.9

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.8-1mdk
- initial package
